using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Plugins.Values.Lists
{
    [NodeInfo("List Item", typeof(ListItemNode),Category = "Values.Lists"), ]
    public class ListItemNode : Node
    {
        private IList list;
        internal Type elemetType;

        public ListItemNode(Program program) : base(program)
        {
        }

        private void ListTypeChanged()
        {
            
        }

        public IList List
        {
            set
            {
                list = value;
                Type nlType = list.GetType().GetElementType();
                if (elemetType.GUID != nlType.GUID)
                {
                    elemetType = nlType;

                }
            }
        }

        }
}
